require "fi/path"

module Fi
  RSpec.describe Path do
    it "expands a relative path" do
      path = Path.expand '~/'
      expect(path).to eq "#{ENV['HOME']}"
    end

    it "joins paths" do
      path = Path.join '~/', 'dir', 'file'
      expect(path).to eq '~/dir/file'
    end

    it "joins then expands a path" do
      path = Path.expand '~/', 'dir', 'file'
      expect(path).to eq "#{ENV['HOME']}/dir/file"
    end
  end
end
