require "fi"

RSpec.describe Fi do
  include SpecHelper::TempFiles

  before(:each) { create_tempfiles }
  after(:each)  { delete_tempfiles }

  specify "open a file" do
    file = Fi.open tempfile
    expect(file).to be_a File
  end

  specify "open a file that doesn't exist" do
    expect { Fi.open 'null.tmp' }.to raise_error
  end

  specify "read a file's content" do
    content = Fi.read tempfile
    expect(content).to eq 'test content'
  end

  specify "create a new file" do
    file = Fi.new 'newfile.tmp', 'test content'
    expect(file.content).to eq 'test content'
  end

  specify "delete a file" do
    file = Fi.delete "newfile.tmp"
    expect(file).to eq 1
  end

  specify "copy a file"
  specify "create a link to a file"
  specify "determine a type of a file"
end
